Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource
Interface WsResource

All Superinterfaces:
  org.apache.muse.core.CapabilityContainer, Initialization, InitializationParameters, Resource, Shutdown

All Known Implementing Classes:
  SimpleWsResource

public interface WsResource
extends Resource

WsResource is an extension of the core Muse Resource component. It adds the concept of a state model via WS-ResourceProperties. Note that the addition of the WSRP ResourcePropertyCollection does not imply that WsResource resource types have to expose any of the WSRP capabilities. The state model will be available no matter how many WSRP capabilities are exposed to remote clients, if any; the WSRP capabilities themselves will simply push down on the ResourcePropertyCollection as part of their implementations.

Author:
  Dan Jemiolo (danj)

Method Summary
`ResourcePropertyCollection` | `getPropertyCollection()`

Methods inherited from interface org.apache.muse.core.Resource
`addCapability, getCapability, getCapabilityURIs, getContextPath, getEndpointReference, getEnvironment, getLog, getResourceManager, getWsdlPath, getWsdlPortType, hasCapability, invoke, setContextPath, setEndpointReference, setEnvironment, setLog, setResourceManager, setWsdlPath, setWsdlPortType`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Method Detail

### getPropertyCollection

    public ResourcePropertyCollection getPropertyCollection()

  Returns:
    The internal WSRP state model - despite the fact that this has all of the WSRP operations available, none of them is exposed to remote clients until one or more of the WSRP capabilities is used in the resource's definition.
  See Also:
    `GetCapability`, `QueryCapability`, `SetCapability`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD